/*
 * Class WEL_COMPOSITION_STRING_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_85 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_85 [] = {0xFF01,1551,84,0xFFFF};
static const EIF_TYPE_INDEX egt_2_85 [] = {0xFF01,84,0xFFFF};
static const EIF_TYPE_INDEX egt_3_85 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_85 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_85 [] = {0xFF01,84,0xFFFF};
static const EIF_TYPE_INDEX egt_6_85 [] = {0xFF01,84,0xFFFF};
static const EIF_TYPE_INDEX egt_7_85 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_85 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_85 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_85 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_85 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_85 [] = {0xFF01,84,0xFFFF};


static const struct desc_info desc_85[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_85), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_85), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_85), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_85), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_85), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_85), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_85), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_85), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_85), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_85), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_85), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_85), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xA9 /*84*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_85), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1155, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1156, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1157, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1158, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1159, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1160, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1162, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1163, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1164, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1165, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1166, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1168, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1152, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1153, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1154, 0xFFFFFFFF},
};
void Init85(void)
{
	IDSC(desc_85, 0, 84);
	IDSC(desc_85 + 1, 1, 84);
	IDSC(desc_85 + 32, 947, 84);
}


#ifdef __cplusplus
}
#endif
